// RGB values
//colorMode(RGB, 255, 255, 255);
color dark = color( 68, 37,  7);
color lite = color(235,230,210);

// print grid in grayscale
void grayscaleApply() {
  bgc = color(250);
  for(int i=0; i<numColumns-2; i++){
    for(int j=0; j<dispRows; j++){
      stroke(255);
      strokeWeight(1);
      float greyScale = map(dataMatrix[j][i], minValue, maxValue, 230, 0);
      fill(greyScale);
      yearFrac = dataMatrix[j][i]/maxMatrix[j][i];
      rect(constantHorizontalMargin + cellWidth*i + cellWidth*(1-yearFrac)/2, 
           constantVerticalMargin + cellHeight*j, cellWidth*yearFrac, cellHeight);
           // multiply width by yearFrac, shift right by cW*(1-yearFrac)/2
    }
  }
}

// print grid in color
void colorApply() {
  bgc = color(255,252,240);
  for(int i=0; i<numColumns-2; i++){
    for(int j=0; j<dispRows; j++){
      stroke(255);
      float mapVal = map(dataMatrix[j][i], minValue, maxValue, 0, 1);
      color rectColor = lerpColor(lite,dark,mapVal); // interpolate between dark/light
      fill(rectColor);
      yearFrac = dataMatrix[j][i]/maxMatrix[j][i];
      rect(constantHorizontalMargin + cellWidth*i + cellWidth*(1-yearFrac)/2, 
           constantVerticalMargin + cellHeight*j, cellWidth*yearFrac, cellHeight);
           // multiply width by yearFrac, shift right by cW*(1-yearFrac)/2
    }
  }
}


//color lite = color(212,170,129);
//color dark = color( 64, 32,  1);
//color lite = color(103, 60, 20);
//color lite = color(139, 92, 46);
//color lite = color(171,123, 78);
//color lite = color(255,228,203);